Register operators to an open channel
You can register one or more operators to an open channel using this API.
HTTP request
Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with
https://api-{application_id}.svc.delight.ai/v3instead ofhttps://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.
Parameters
The following table shows a parameter that this action supports.
Required
| Parameter name | Type | Description |
|---|---|---|
channel_url | string | Specifies the URL of the channel. |
Request body
The following table shows a property of the HTTP request that this action supports.
Required
| Property name | Type | Description |
|---|---|---|
operator_ids[] | array of strings | Specifies an array of one or more IDs of users to register as operators of the channel. The maximum allowed number of operators per channel is 100. |
Responses
If successful, this action returns an empty response body.
Error
In the case of an error, an error object like below is returned. See the error codes section for more details.